weka.classifiers.pmml.producer

## Class LogisticProducerHelper

- java.lang.Object
- - weka.classifiers.pmml.producer.AbstractPMMLProducerHelper
  - - weka.classifiers.pmml.producer.LogisticProducerHelper

-     public class LogisticProducerHelper
      extends AbstractPMMLProducerHelper

  Helper class for producing PMML for a Logistic classifier. Not designed to be used directly - you should call toPMML() on a trained Logistic classifier.
  Version:
    $Revision: $
  Author:
    David Persons, Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Field Summary

    - ### Fields inherited from class weka.classifiers.pmml.producer.AbstractPMMLProducerHelper

      `PMML_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogisticProducerHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `toPMML(Instances train, Instances structureAfterFiltering, double[][] par, int numClasses)` Produce the PMML for a Logistic classifier

    - ### Methods inherited from class weka.classifiers.pmml.producer.AbstractPMMLProducerHelper

      `addDataDictionary, getNameAndValueFromUnsupervisedNominalToBinaryDerivedAttribute, getOPTYPE, initPMML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogisticProducerHelper

          public LogisticProducerHelper()

  - ### Method Detail

    - #### toPMML

          public static java.lang.String toPMML(Instances train,
                                Instances structureAfterFiltering,
                                double[][] par,
                                int numClasses)

      Produce the PMML for a Logistic classifier
      Parameters:
        `train` - the training data used to build the Logistic model
        `structureAfterFiltering` - the structure of the training data after filtering
        `par` - the parameters of the function(s)
        `numClasses` - the number of classes in the data
      Returns:
        the PMML for the classifier